Categories:
  - Internet
License: Apache-2.0
WebSite: https://k9mail.github.io/
SourceCode: https://github.com/k9mail/k-9
IssueTracker: https://github.com/k9mail/k-9/issues
Changelog: https://k9mail.github.io/k-9/changelog_5.6-MAINT_branch.xml
LiberapayID: '34990'

AutoName: K-9 Mail
Description: |-
    E-mail client supporting multiple accounts, POP3, IMAP and Push IMAP. Can do
    OpenPGP encryption if [[org.sufficientlysecure.keychain]] is installed. Settings
    and account configurations can be exported so that they can be imported easily
    if you are switching packages/signatures: a file manager will need to be already
    installed to achieve this.

RepoType: git
Repo: https://github.com/k9mail/k-9.git

Builds:
  - versionName: '4.201'
    versionCode: 16025
    commit: 7834cdd8ca
    srclibs:
      - Jutf7@20
    extlibs:
      - jzlib/jzlib-1.0.7.tar.gz
    prebuild:
      - chmod +x tools/build-beta
      - ./tools/build-beta
      - rm -f libs/jzlib*.jar libs/htmlcleaner*.jar libs/jutf*.jar
      - mkdir -p tests/res/
      - unzip libs/htmlcleaner-2.2-all.zip
      - cp -r $$Jutf7$$/src/main/java/com/ src/
      - tar xzf libs/jzlib-1.0.7.tar.gz
      - mv jzlib-1.0.7/com/jcraft src/com/
      - rm -rf libs/jzlib* libs/htmlcleaner*.zip jzlib*
    build:
      - $$MVN3$$ package -f HtmlCleaner/pom.xml
      - mv HtmlCleaner/target/htmlcleaner-2.2.jar libs/
      - rm -rf HtmlCleaner

  - versionName: '4.409'
    versionCode: 17046
    commit: '4.409'
    srclibs:
      - Jutf7@20
    extlibs:
      - jzlib/jzlib-1.0.7.tar.gz
    prebuild:
      - chmod +x tools/build-beta
      - ./tools/build-beta
      - rm -f libs/jzlib*.jar libs/htmlcleaner*.jar libs/jutf*.jar
      - mkdir -p tests/res/
      - unzip libs/htmlcleaner-2.2-all.zip
      - cp -r $$Jutf7$$/src/main/java/com/ src/
      - tar xzf libs/jzlib-1.0.7.tar.gz
      - mv jzlib-1.0.7/com/jcraft src/com/
      - rm -rf libs/jzlib* libs/htmlcleaner*.zip jzlib*
    androidupdate:
      - .
      - plugins/HoloColorPicker
      - plugins/Android-PullToRefresh/library
      - plugins/ckChangeLog/library
      - plugins/ActionBarSherlock/library
    target: android-17
    build:
      - $$MVN3$$ package -f HtmlCleaner/pom.xml
      - mv HtmlCleaner/target/htmlcleaner-2.2.jar libs/

  - versionName: '4.802'
    versionCode: 20003
    commit: '4.802'
    srclibs:
      - Jutf7@20
    rm:
      - libs/jzlib-1.0.7.jar
      - libs/htmlcleaner-2.2.jar
      - libs/jutf7-1.0.1-SNAPSHOT.jar
      - tests
    extlibs:
      - jzlib/jzlib-1.0.7.tar.gz
    prebuild:
      - unzip libs/htmlcleaner-2.2-all.zip
      - tar xzf libs/jzlib-1.0.7.tar.gz
      - echo 'source.dir=src;$$Jutf7$$/src;jzlib-1.0.7' >> ant.properties
      - rm libs/jzlib-1.0.7.tar.gz libs/htmlcleaner-2.2-all.zip
    build:
      - $$MVN3$$ package -f HtmlCleaner/pom.xml
      - mv HtmlCleaner/target/htmlcleaner-2.2.jar libs/

  - versionName: '4.803'
    versionCode: 20004
    commit: '4.803'
    srclibs:
      - Jutf7@20
    rm:
      - libs/jzlib-1.0.7.jar
      - libs/htmlcleaner-2.2.jar
      - libs/jutf7-1.0.1-SNAPSHOT.jar
      - tests
    extlibs:
      - jzlib/jzlib-1.0.7.tar.gz
    prebuild:
      - unzip libs/htmlcleaner-2.2-all.zip
      - tar xzf libs/jzlib-1.0.7.tar.gz
      - echo 'source.dir=src;$$Jutf7$$/src;jzlib-1.0.7' >> ant.properties
      - rm libs/jzlib-1.0.7.tar.gz libs/htmlcleaner-2.2-all.zip
    build:
      - $$MVN3$$ package -f HtmlCleaner/pom.xml
      - mv HtmlCleaner/target/htmlcleaner-2.2.jar libs/

  - versionName: '4.804'
    versionCode: 20005
    commit: '4.804'
    srclibs:
      - Jutf7@20
    rm:
      - libs/jzlib-1.0.7.jar
      - libs/htmlcleaner-2.2.jar
      - libs/jutf7-1.0.1-SNAPSHOT.jar
      - tests
    extlibs:
      - jzlib/jzlib-1.0.7.tar.gz
    prebuild:
      - unzip libs/htmlcleaner-2.2-all.zip
      - tar xzf libs/jzlib-1.0.7.tar.gz
      - echo 'source.dir=src;$$Jutf7$$/src;jzlib-1.0.7' >> ant.properties
      - rm libs/jzlib-1.0.7.tar.gz libs/htmlcleaner-2.2-all.zip
    build:
      - $$MVN3$$ package -f HtmlCleaner/pom.xml
      - mv HtmlCleaner/target/htmlcleaner-2.2.jar libs/

  - versionName: '5.000'
    versionCode: 22000
    commit: '5.000'
    gradle:
      - yes
    srclibs:
      - Jutf7@20
    rm:
      - libs/*
    prebuild:
      - sed -i -e "/buildToolsVersion/adefaultConfig {\ntargetSdkVersion 17\n}\n\npackagingOptions
        {\n exclude 'META-INF/LICENSE.txt'\n  exclude 'META-INF/NOTICE.txt'\n}" -e
        "/com.android.application/arepositories {\n  mavenCentral()\n  mavenLocal()\n}"
        -e "/fileTree/acompile 'net.sourceforge.htmlcleaner:htmlcleaner:2.2'" -e "/fileTree/acompile
        'org.apache.james:apache-mime4j-core:0.7.2'" -e "/fileTree/acompile 'org.apache.james:apache-mime4j-dom:0.7.2'"
        -e "/fileTree/acompile 'com.jcraft:jzlib:1.0.7'" -e "/fileTree/acompile 'com.beetstra.jutf7:jutf7:1.0.1-SNAPSHOT'"
        -e "/fileTree/acompile 'commons-io:commons-io:2.0.1'" build.gradle
      - pushd $$Jutf7$$
      - $$MVN3$$ install
      - popd

  - versionName: '5.001'
    versionCode: 22001
    commit: '5.001'
    gradle:
      - yes
    srclibs:
      - Jutf7@20
    rm:
      - libs/*
    prebuild:
      - sed -i -e "/buildToolsVersion/adefaultConfig {\ntargetSdkVersion 17\n}\n\npackagingOptions
        {\n exclude 'META-INF/LICENSE.txt'\n  exclude 'META-INF/NOTICE.txt'\n}" -e
        "/com.android.application/arepositories {\n  mavenCentral()\n  mavenLocal()\n}"
        -e "/fileTree/acompile 'net.sourceforge.htmlcleaner:htmlcleaner:2.2'" -e "/fileTree/acompile
        'org.apache.james:apache-mime4j-core:0.7.2'" -e "/fileTree/acompile 'org.apache.james:apache-mime4j-dom:0.7.2'"
        -e "/fileTree/acompile 'com.jcraft:jzlib:1.0.7'" -e "/fileTree/acompile 'com.beetstra.jutf7:jutf7:1.0.1-SNAPSHOT'"
        -e "/fileTree/acompile 'commons-io:commons-io:2.0.1'" build.gradle
      - pushd $$Jutf7$$
      - $$MVN3$$ install
      - popd

  - versionName: '5.002'
    versionCode: 22002
    commit: '5.002'
    gradle:
      - yes
    srclibs:
      - Jutf7@20
    rm:
      - libs/*
    prebuild:
      - sed -i -e "/buildToolsVersion/adefaultConfig {\ntargetSdkVersion 17\n}\n\npackagingOptions
        {\n exclude 'META-INF/LICENSE.txt'\n  exclude 'META-INF/NOTICE.txt'\n}" -e
        "/com.android.application/arepositories {\n  mavenCentral()\n  mavenLocal()\n}"
        -e "/fileTree/acompile 'net.sourceforge.htmlcleaner:htmlcleaner:2.2'" -e "/fileTree/acompile
        'org.apache.james:apache-mime4j-core:0.7.2'" -e "/fileTree/acompile 'org.apache.james:apache-mime4j-dom:0.7.2'"
        -e "/fileTree/acompile 'com.jcraft:jzlib:1.0.7'" -e "/fileTree/acompile 'com.beetstra.jutf7:jutf7:1.0.1-SNAPSHOT'"
        -e "/fileTree/acompile 'commons-io:commons-io:2.0.1'" build.gradle
      - pushd $$Jutf7$$
      - $$MVN3$$ install
      - popd

  - versionName: '5.004'
    versionCode: 22004
    commit: '5.004'
    gradle:
      - yes
    srclibs:
      - Jutf7@20
    rm:
      - libs/*
    prebuild:
      - sed -i -e "/buildToolsVersion/adefaultConfig {\ntargetSdkVersion 17\n}\n\npackagingOptions
        {\n exclude 'META-INF/LICENSE.txt'\n  exclude 'META-INF/NOTICE.txt'\n}" -e
        "/com.android.application/arepositories {\n  mavenCentral()\n  mavenLocal()\n}"
        -e "/fileTree/acompile 'net.sourceforge.htmlcleaner:htmlcleaner:2.2'" -e "/fileTree/acompile
        'org.apache.james:apache-mime4j-core:0.7.2'" -e "/fileTree/acompile 'org.apache.james:apache-mime4j-dom:0.7.2'"
        -e "/fileTree/acompile 'com.jcraft:jzlib:1.0.7'" -e "/fileTree/acompile 'com.beetstra.jutf7:jutf7:1.0.1-SNAPSHOT'"
        -e "/fileTree/acompile 'commons-io:commons-io:2.0.1'" build.gradle
      - pushd $$Jutf7$$
      - $$MVN3$$ install
      - popd

  - versionName: '5.005'
    versionCode: 22005
    commit: '5.005'
    gradle:
      - yes
    srclibs:
      - Jutf7@20
    rm:
      - libs/*
    prebuild:
      - sed -i -e "/buildToolsVersion/adefaultConfig {\ntargetSdkVersion 17\n}\n\npackagingOptions
        {\n exclude 'META-INF/LICENSE.txt'\n  exclude 'META-INF/NOTICE.txt'\n}" -e
        "/com.android.application/arepositories {\n  mavenCentral()\n  mavenLocal()\n}"
        -e "/fileTree/acompile 'net.sourceforge.htmlcleaner:htmlcleaner:2.2'" -e "/fileTree/acompile
        'org.apache.james:apache-mime4j-core:0.7.2'" -e "/fileTree/acompile 'org.apache.james:apache-mime4j-dom:0.7.2'"
        -e "/fileTree/acompile 'com.jcraft:jzlib:1.0.7'" -e "/fileTree/acompile 'com.beetstra.jutf7:jutf7:1.0.1-SNAPSHOT'"
        -e "/fileTree/acompile 'commons-io:commons-io:2.0.1'" build.gradle
      - pushd $$Jutf7$$
      - $$MVN3$$ install
      - popd

  - versionName: '5.006'
    versionCode: 22006
    commit: '5.006'
    gradle:
      - yes
    srclibs:
      - Jutf7@20
    rm:
      - libs/*
    prebuild:
      - sed -i -e "/buildToolsVersion/adefaultConfig {\ntargetSdkVersion 17\n}\n\npackagingOptions
        {\n exclude 'META-INF/LICENSE.txt'\n  exclude 'META-INF/NOTICE.txt'\n}" -e
        "/com.android.application/arepositories {\n  mavenCentral()\n  mavenLocal()\n}"
        -e "/fileTree/acompile 'net.sourceforge.htmlcleaner:htmlcleaner:2.2'" -e "/fileTree/acompile
        'org.apache.james:apache-mime4j-core:0.7.2'" -e "/fileTree/acompile 'org.apache.james:apache-mime4j-dom:0.7.2'"
        -e "/fileTree/acompile 'com.jcraft:jzlib:1.0.7'" -e "/fileTree/acompile 'com.beetstra.jutf7:jutf7:1.0.1-SNAPSHOT'"
        -e "/fileTree/acompile 'commons-io:commons-io:2.0.1'" build.gradle
      - pushd $$Jutf7$$
      - $$MVN3$$ install
      - popd

  - versionName: '5.007'
    versionCode: 22007
    commit: '5.007'
    gradle:
      - yes
    srclibs:
      - Jutf7@20
    rm:
      - libs/*
    prebuild:
      - sed -i -e "/buildToolsVersion/adefaultConfig {\ntargetSdkVersion 17\n}\n\npackagingOptions
        {\n exclude 'META-INF/LICENSE.txt'\n  exclude 'META-INF/NOTICE.txt'\n}" -e
        "/com.android.application/arepositories {\n  mavenCentral()\n  mavenLocal()\n}"
        -e "/fileTree/acompile 'net.sourceforge.htmlcleaner:htmlcleaner:2.2'" -e "/fileTree/acompile
        'org.apache.james:apache-mime4j-core:0.7.2'" -e "/fileTree/acompile 'org.apache.james:apache-mime4j-dom:0.7.2'"
        -e "/fileTree/acompile 'com.jcraft:jzlib:1.0.7'" -e "/fileTree/acompile 'com.beetstra.jutf7:jutf7:1.0.1-SNAPSHOT'"
        -e "/fileTree/acompile 'commons-io:commons-io:2.0.1'" build.gradle
      - pushd $$Jutf7$$
      - $$MVN3$$ install
      - popd

  - versionName: '5.008'
    versionCode: 22008
    commit: '5.008'
    gradle:
      - yes
    srclibs:
      - Jutf7@20
    rm:
      - libs/*
    prebuild:
      - sed -i -e "/buildToolsVersion/adefaultConfig {\ntargetSdkVersion 17\n}\n\npackagingOptions
        {\n exclude 'META-INF/LICENSE.txt'\n  exclude 'META-INF/NOTICE.txt'\n}" -e
        "/com.android.application/arepositories {\n  mavenCentral()\n  mavenLocal()\n}"
        -e "/fileTree/acompile 'net.sourceforge.htmlcleaner:htmlcleaner:2.2'" -e "/fileTree/acompile
        'org.apache.james:apache-mime4j-core:0.7.2'" -e "/fileTree/acompile 'org.apache.james:apache-mime4j-dom:0.7.2'"
        -e "/fileTree/acompile 'com.jcraft:jzlib:1.0.7'" -e "/fileTree/acompile 'com.beetstra.jutf7:jutf7:1.0.1-SNAPSHOT'"
        -e "/fileTree/acompile 'commons-io:commons-io:2.0.1'" build.gradle
      - pushd $$Jutf7$$
      - $$MVN3$$ install
      - popd

  - versionName: '5.009'
    versionCode: 22009
    disable: binaries
    commit: '5.009'
    gradle:
      - yes
    srclibs:
      - Jutf7@20
    rm:
      - libs/*
    prebuild:
      - sed -i -e "/buildToolsVersion/adefaultConfig {\ntargetSdkVersion 17\n}\n\npackagingOptions
        {\n exclude 'META-INF/LICENSE.txt'\n  exclude 'META-INF/NOTICE.txt'\n}" -e
        "/com.android.application/arepositories {\n  mavenCentral()\n  mavenLocal()\n}"
        -e "/fileTree/acompile 'net.sourceforge.htmlcleaner:htmlcleaner:2.2'" -e "/fileTree/acompile
        'org.apache.james:apache-mime4j-core:0.7.2'" -e "/fileTree/acompile 'org.apache.james:apache-mime4j-dom:0.7.2'"
        -e "/fileTree/acompile 'com.jcraft:jzlib:1.0.7'" -e "/fileTree/acompile 'com.beetstra.jutf7:jutf7:1.0.1-SNAPSHOT'"
        -e "/fileTree/acompile 'commons-io:commons-io:2.0.1'" build.gradle
      - pushd $$Jutf7$$
      - $$MVN3$$ install
      - popd

  - versionName: '5.010'
    versionCode: 22010
    commit: '5.010'
    gradle:
      - yes
    srclibs:
      - Jutf7@20
    rm:
      - libs/*
    prebuild:
      - sed -i -e "/buildToolsVersion/adefaultConfig {\ntargetSdkVersion 17\n}\n\npackagingOptions
        {\n exclude 'META-INF/LICENSE.txt'\n  exclude 'META-INF/NOTICE.txt'\n}" -e
        "/com.android.application/arepositories {\n  mavenCentral()\n  mavenLocal()\n}"
        -e "/fileTree/acompile 'net.sourceforge.htmlcleaner:htmlcleaner:2.2'" -e "/fileTree/acompile
        'org.apache.james:apache-mime4j-core:0.7.2'" -e "/fileTree/acompile 'org.apache.james:apache-mime4j-dom:0.7.2'"
        -e "/fileTree/acompile 'com.jcraft:jzlib:1.0.7'" -e "/fileTree/acompile 'com.beetstra.jutf7:jutf7:1.0.1-SNAPSHOT'"
        -e "/fileTree/acompile 'commons-io:commons-io:2.0.1'" -e "/filetree/acompile
        'de.cketti.safecontentresolver:safe-content-resolver-v14:0.0.1'" build.gradle
      - pushd $$Jutf7$$
      - $$MVN3$$ install
      - popd
    scandelete:
      - plugins/SafeContentResolver/*

  - versionName: '5.115'
    versionCode: 23114
    disable: remove
    commit: '5.115'
    subdir: k9mail
    gradle:
      - yes

  - versionName: 5.200-RC2
    versionCode: 23191
    disable: remove
    commit: '5.115'
    subdir: k9mail
    gradle:
      - yes

  - versionName: '5.200'
    versionCode: 23200
    commit: '5.200'
    subdir: k9mail
    gradle:
      - yes

  - versionName: '5.201'
    versionCode: 23210
    commit: '5.201'
    subdir: k9mail
    gradle:
      - yes

  - versionName: '5.202'
    versionCode: 23220
    commit: '5.202'
    subdir: k9mail
    gradle:
      - yes

  - versionName: '5.203'
    versionCode: 23230
    commit: '5.203'
    subdir: k9mail
    gradle:
      - yes

  - versionName: '5.205'
    versionCode: 23250
    commit: '5.205'
    subdir: k9mail
    gradle:
      - yes

  - versionName: '5.206'
    versionCode: 23260
    commit: '5.206'
    subdir: k9mail
    gradle:
      - yes

  - versionName: '5.207'
    versionCode: 23270
    commit: '5.207'
    subdir: k9mail
    gradle:
      - yes

  - versionName: '5.208'
    versionCode: 23271
    commit: '5.208'
    subdir: k9mail
    gradle:
      - yes

  - versionName: '5.400'
    versionCode: 23600
    commit: '5.400'
    subdir: k9mail
    gradle:
      - yes
    rm:
      - tools/android-studio/settings.jar

  - versionName: '5.401'
    versionCode: 23610
    commit: '5.401'
    subdir: k9mail
    gradle:
      - yes
    rm:
      - tools/android-studio/settings.jar

  - versionName: '5.402'
    versionCode: 23620
    commit: '5.402'
    subdir: k9mail
    gradle:
      - yes
    rm:
      - tools/android-studio/settings.jar

  - versionName: '5.403'
    versionCode: 23630
    commit: '5.403'
    subdir: k9mail
    gradle:
      - yes
    rm:
      - tools/android-studio/settings.jar

  - versionName: '5.600'
    versionCode: 26000
    commit: '5.600'
    subdir: k9mail
    gradle:
      - yes
    rm:
      - tools/android-studio/settings.jar

AutoUpdateMode: Version %v
UpdateCheckMode: RepoManifest/5.6-MAINT
CurrentVersion: '5.600'
CurrentVersionCode: 26000
